Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.designer.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.designer.cs	(revision 81)
@@ -59,7 +59,7 @@
             this.btnDataEntry.BackColor = System.Drawing.Color.Green;
             this.btnDataEntry.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnDataEntry.ForeColor = System.Drawing.Color.White;
-            this.btnDataEntry.Location = new System.Drawing.Point(960, 650);
+            this.btnDataEntry.Location = new System.Drawing.Point(1000, 655);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
             this.btnDataEntry.TabIndex = 4;
@@ -73,7 +73,7 @@
             this.btnEnd.BackColor = System.Drawing.Color.Blue;
             this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.btnEnd.ForeColor = System.Drawing.Color.White;
-            this.btnEnd.Location = new System.Drawing.Point(1088, 650);
+            this.btnEnd.Location = new System.Drawing.Point(1128, 655);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
             this.btnEnd.TabIndex = 6;
@@ -88,7 +88,7 @@
             this.label1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
             this.label1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.label1.ForeColor = System.Drawing.Color.Black;
-            this.label1.Location = new System.Drawing.Point(360, 10);
+            this.label1.Location = new System.Drawing.Point(380, 10);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(500, 20);
             this.label1.TabIndex = 5;
@@ -148,7 +148,7 @@
             this.groupBox1.Controls.Add(this.btnDispRight);
             this.groupBox1.Controls.Add(this.btnDispLeft);
             this.groupBox1.Controls.Add(this.btnDataDelete);
-            this.groupBox1.Location = new System.Drawing.Point(234, 630);
+            this.groupBox1.Location = new System.Drawing.Point(274, 635);
             this.groupBox1.Name = "groupBox1";
             this.groupBox1.Size = new System.Drawing.Size(460, 50);
             this.groupBox1.TabIndex = 32;
@@ -222,7 +222,7 @@
             this.groupBox2.BackColor = System.Drawing.Color.White;
             this.groupBox2.Controls.Add(this.btnAllOff);
             this.groupBox2.Controls.Add(this.btnAllOn);
-            this.groupBox2.Location = new System.Drawing.Point(702, 630);
+            this.groupBox2.Location = new System.Drawing.Point(742, 635);
             this.groupBox2.Name = "groupBox2";
             this.groupBox2.Size = new System.Drawing.Size(250, 50);
             this.groupBox2.TabIndex = 33;
@@ -256,7 +256,7 @@
             this.Column2,
             this.Column3});
             this.dgvProcess.ImeMode = System.Windows.Forms.ImeMode.Disable;
-            this.dgvProcess.Location = new System.Drawing.Point(8, 52);
+            this.dgvProcess.Location = new System.Drawing.Point(10, 40);
             this.dgvProcess.Name = "dgvProcess";
             this.dgvProcess.RowHeadersVisible = false;
             this.dgvProcess.RowHeadersWidth = 20;
@@ -263,7 +263,7 @@
             this.dgvProcess.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
             this.dgvProcess.RowTemplate.Height = 20;
             this.dgvProcess.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
-            this.dgvProcess.Size = new System.Drawing.Size(1200, 570);
+            this.dgvProcess.Size = new System.Drawing.Size(1240, 580);
             this.dgvProcess.TabIndex = 28;
             this.dgvProcess.TabStop = false;
             this.dgvProcess.CellContentClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvProcess_CellContentClick);
@@ -299,7 +299,7 @@
             // 
             // Column3
             // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleLeft;
             dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
             this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
             this.Column3.Frozen = true;
@@ -317,7 +317,7 @@
             this.AutoSize = true;
             this.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
             this.BackColor = System.Drawing.Color.Black;
-            this.ClientSize = new System.Drawing.Size(1220, 687);
+            this.ClientSize = new System.Drawing.Size(1260, 692);
             this.Controls.Add(this.groupBox2);
             this.Controls.Add(this.groupBox1);
             this.Controls.Add(this.dgvProcess);
@@ -350,9 +350,6 @@
         private System.Windows.Forms.Label label1;
         private System.Windows.Forms.Button btnDataDelete;
         private DataGridViewEX dgvProcess;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.Button btnAllOff;
         private System.Windows.Forms.Button btnAllOn;
         private System.Windows.Forms.GroupBox groupBox1;
@@ -361,5 +358,8 @@
         private System.Windows.Forms.Button btnDispRight;
         private System.Windows.Forms.Button btnDispLeft;
         private System.Windows.Forms.GroupBox groupBox2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 81)
@@ -171,7 +171,7 @@
                 {
                     // セキュリティ区分マスタの表示順更新
                     string strSQL = secDB.CreatePrimarykeyString(m_SecMasterList[i].SecCode);
-                    if (!secDB.UpdateFeild(m_SecMasterList[i].SecCode, (int)IOMSecurity.DataColumn.DisplayOrder, (i + 1), false))
+                    if (!secDB.UpdateFeild(m_SecMasterList[i].SecCode, (int)IOMSecurity.TableColumn.DisplayOrder, (i + 1), false))
                     {
                         secDB.rollback();
                         exeDB.rollback();
@@ -190,6 +190,9 @@
                         // 処理番号取得
                         int iSecCode = CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.SecCode].Value);
 
+                        // タイトルは処理しない
+                        if (iSecCode < 0) continue;
+
                         // 起動指定無は処理しない
                         bool bExecute = (bool)CurRow.Cells[SelectCol].Value;
                         bool bEdit = (bool)CurRow.Cells[SelectCol + 1].Value;
@@ -365,6 +368,8 @@
                 // データセット
                 SetProcessGridMasterData();
 
+                // タイトル背景色セット
+                SetTitleBackColor();
                 return true;
             }
             catch (Exception ex)
@@ -375,6 +380,36 @@
         }
         #endregion
 
+        #region タイトル行の背景色を変える
+        /// <summary>
+        /// タイトル行の背景色を変える
+        /// </summary>
+        private void SetTitleBackColor()
+        {
+            try
+            {
+                DataGridView dgv = dgvProcess;
+                foreach (DataGridViewRow CurRow in dgv.Rows)
+                {
+                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.SecCode].Value) > 0) continue;
+                    
+                    foreach (DataGridViewCell CurCell in CurRow.Cells)
+                    {
+                        if (CurCell.ColumnIndex <= (int)GridColumn.SecName) continue;
+
+                        CurCell.Style.ForeColor = s_TitleRowColor;
+                        CurCell.Style.BackColor = s_TitleRowColor;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+
+        }
+        #endregion
+
         #region 処理起動グリッド表示
         /// <summary>
         /// 処理起動グリッド表示
@@ -385,29 +420,63 @@
             {
                 DataGridView dgv = dgvProcess;
                 int icnt = 1;
-                
-                // ----- 起動処理一覧表示
-                foreach (KeyValuePair<int, string> wrkValue in ClsExcute.ProcessExecuteName)
+                int rcnt = 0;
+                string strProcName = string.Empty;
+                string DspCnt = string.Empty;
+                foreach (KeyValuePair<int, string> wrkValue in s_ConfigurationArray)
                 {
-                    if (wrkValue.Key == 0) continue;
-                    //if (wrkValue.Key >= (int)ClsExcute.ProcessExecuteNo.Proceedings) break;
-                    int rcnt = dgv.Rows.Add(icnt++,
+                    DspCnt = string.Empty;
+                    if (wrkValue.Key < 0)
+                    {
+                        strProcName = wrkValue.Value;
+                    }
+                    else if (wrkValue.Key < (int)ClsExcute.MaintenanceExecuteNo.System)
+                    {
+                        strProcName = ClsExcute.ProcessExecuteName[wrkValue.Key];
+                        DspCnt = (icnt++).ToString();
+                    }
+                    else if (wrkValue.Key < (int)ClsExcute.SubFormExecuteNo.MessageWriter)
+                    {
+                        strProcName = ClsExcute.MaintenanceExecuteName[wrkValue.Key];
+                        DspCnt = (icnt++).ToString();
+                    }
+                    else
+                    {
+                        strProcName = ClsExcute.subFormExecuteName[wrkValue.Key];
+                        DspCnt = (icnt++).ToString();
+                    }
+                    //substringcnt = strProcName.IndexOf("－");
+                    //if (substringcnt > 0) strProcName = strProcName.Substring(0, substringcnt);
+                    strProcName = strProcName.Replace("－", "");
+                    if (wrkValue.Key > 0) strProcName = "　" + strProcName;
+
+                    rcnt = dgv.Rows.Add(DspCnt,
                                             wrkValue.Key,
-                                            wrkValue.Value.Replace("－", ""),
+                                            strProcName,
                                             true, true);
-                    dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultColor[0];
+                    if (wrkValue.Key < 0)
+                    {
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.ForeColor = s_DefaultForeColor[0];
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultBackColor[0];
+                        dgv.Rows[rcnt].ReadOnly = true;
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.Alignment = DataGridViewContentAlignment.MiddleCenter;
+                    }
+                    else if (wrkValue.Key < (int)ClsExcute.MaintenanceExecuteNo.System)
+                    {
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.ForeColor = s_DefaultForeColor[1];
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultBackColor[1];
+                    }
+                    else if ((int)ClsExcute.MaintenanceExecuteNo.System <= wrkValue.Key && wrkValue.Key < (int)ClsExcute.SubFormExecuteNo.MessageWriter)
+                    {
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.ForeColor = s_DefaultForeColor[2];
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultBackColor[2];
+                    }
+                    else
+                    {
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.ForeColor = s_DefaultForeColor[3];
+                        dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultBackColor[3];
+                    }
                 }
-                
-                // ----- マスタメンテナンス一覧表示
-                foreach (KeyValuePair<int, string> wrkValue in ClsExcute.MaintenanceExecuteName)
-                {
-                    if (wrkValue.Key == 0) continue;
-                    int rcnt = dgv.Rows.Add(icnt++,
-                                            wrkValue.Key,
-                                            wrkValue.Value.Replace("－", ""),
-                                            true, true);
-                    dgv.Rows[rcnt].Cells[(int)GridColumn.SecName].Style.BackColor = s_DefaultColor[1];
-                }
             }
             catch (Exception ex)
             {
@@ -443,7 +512,7 @@
                 int BreakSecCode = 0;
                 int Columncount = 0;
                 int ino = 0;
-                int SecDataCnt = Enum.GetNames(typeof(IOMSecurity.DataColumn)).Length;
+                int SecDataCnt = Enum.GetNames(typeof(IOMSecurity.TableColumn)).Length;
                 foreach (object[] wrkobj in peList)
                 {
                     // 保護区分マスタ取得
@@ -737,27 +806,42 @@
                 Color SetForeColor = Color.Black;
 
                 int ProcCode = CommonMotions.cnvInt(dgv.Rows[CurrentRowCnt].Cells[(int)GridColumn.SecCode].Value);
+                int ArraryCnt = 0;
                 // 列の色を変える
                 for (int i = 0; i < colcnt; i++)
                 {
                     switch (i)
                     {
+                        case (int)GridColumn.No:
+                        case (int)GridColumn.SecCode:
+                                SetBackColor = s_DefaultForeColor[0];
+                            break;
                         case (int)GridColumn.SecName:
-                            if (ProcCode < (int)ClsExcute.MaintenanceExecuteNo.System)
-                                SetBackColor = s_DefaultColor[0];
-                            else
-                                SetBackColor = s_DefaultColor[1];
-                            break;
-                        default:
-                            if (CurrentRowCnt < (dgv.RowCount - 1))
-                            {   // 最終行以外は次行の色を取得する
-                                SetBackColor = dgv.Rows[CurrentRowCnt + 1].Cells[i].Style.BackColor;
+                            if (ProcCode < 0)
+                            {
+                                SetBackColor = s_DefaultBackColor[0];
+                                SetForeColor = s_DefaultForeColor[0];
                             }
-                            else
-                            {   // 最終行は前行の色を取得する
-                                SetBackColor = dgv.Rows[CurrentRowCnt - 1].Cells[i].Style.BackColor;
+                            else if (ProcCode < (int)ClsExcute.MaintenanceExecuteNo.System)
+                            {
+                                SetBackColor = s_DefaultBackColor[1];
+                                SetForeColor = s_DefaultForeColor[1];
                             }
+                            else if ((int)ClsExcute.MaintenanceExecuteNo.System <= ProcCode && ProcCode < (int)ClsExcute.SubFormExecuteNo.MessageWriter)
+                            {
+                                SetBackColor = s_DefaultBackColor[2];
+                                SetForeColor = s_DefaultForeColor[2];
+                            }
+                            else 
+                            {
+                                SetBackColor = s_DefaultBackColor[3];
+                                SetForeColor = s_DefaultForeColor[3];
+                            }
                             break;
+                        default:
+                            ArraryCnt = (i - ((int)GridColumn.SecName + 1)) / 2;
+                            SetBackColor = CommonMotions.getBackForeColor(m_SecMasterList[ArraryCnt].SelectBackColor, CommonDefine.PalceOfColor.BackColor);
+                            break;
                     }
                     CurRow.Cells[i].Style.BackColor = SetBackColor;
                     CurRow.Cells[i].Style.ForeColor = SetForeColor;
@@ -849,6 +933,9 @@
                 int HeadRowCnt = s_TitleRowCnt;
                 Pen LinePen = new Pen(Color.Gray);
                 int Listno = 0;
+                int ArraryCnt = 0;
+                Color SetBackColor = Color.White;
+                Color SetForeColor = Color.Black;
                 for (int i = ((int)GridColumn.SecName + 1); i < GridColumnCnt; i += 2, Listno++)
                 {
                     // カラムヘッダー取得
@@ -860,8 +947,12 @@
                     r1.Y += 1;
                     r1.Width = (r1.Width + r2.Width) - 2;
 
+                    ArraryCnt = (i - ((int)GridColumn.SecName + 1)) / 2;
+                    SetBackColor = CommonMotions.getBackForeColor(m_SecMasterList[ArraryCnt].SelectBackColor, CommonDefine.PalceOfColor.BackColor);
+                    SetForeColor = CommonMotions.GetComplementaryColor(SetBackColor);
+
                     r1.Height = r1.Height / HeadRowCnt - 2;
-                    e.Graphics.FillRectangle(new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.BackColor), r1);
+                    e.Graphics.FillRectangle(new SolidBrush(SetBackColor), r1);
                     rLine.Width = rLine.Width * 2;
                     rLine.Height = rLine.Height / HeadRowCnt;
                     e.Graphics.DrawRectangle(LinePen, rLine);
@@ -871,7 +962,7 @@
                     format.LineAlignment = StringAlignment.Center;
                     e.Graphics.DrawString(m_SecMasterList[Listno].SecName,
                                             dgv.ColumnHeadersDefaultCellStyle.Font,
-                                            new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.ForeColor),
+                                            new SolidBrush(SetForeColor),
                                             r1,
                                             format);
 
@@ -891,10 +982,10 @@
                     e.Graphics.DrawRectangle(LinePen, rLine);
 
                     r1.Y += (r1.Height + 2);
-                    e.Graphics.FillRectangle(new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.BackColor), r1);
+                    e.Graphics.FillRectangle(new SolidBrush(SetBackColor), r1);
                     e.Graphics.DrawString(ColumnHeaderStrings1,
                                             dgv.ColumnHeadersDefaultCellStyle.Font,
-                                            new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.ForeColor),
+                                            new SolidBrush(SetForeColor),
                                             r1,
                                             format);
 
@@ -914,10 +1005,10 @@
                     string ColumnHeaderStrings2 = SecRangeValue.Value;
 
                     r1.Y += (r1.Height + 2);
-                    e.Graphics.FillRectangle(new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.BackColor), r1);
+                    e.Graphics.FillRectangle(new SolidBrush(SetBackColor), r1);
                     e.Graphics.DrawString(ColumnHeaderStrings2,
                                             dgv.ColumnHeadersDefaultCellStyle.Font,
-                                            new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.ForeColor),
+                                            new SolidBrush(SetForeColor),
                                             r1,
                                             format);
 
@@ -928,10 +1019,10 @@
                     string ColumnHeaderStrings3 = CommonDefine.GeneralAffairsList[m_SecMasterList[Listno].GeneralAffairs].Value;
 
                     r1.Y += (r1.Height + 2);
-                    e.Graphics.FillRectangle(new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.BackColor), r1);
+                    e.Graphics.FillRectangle(new SolidBrush(SetBackColor), r1);
                     e.Graphics.DrawString(ColumnHeaderStrings3,
                                             dgv.ColumnHeadersDefaultCellStyle.Font,
-                                            new SolidBrush(dgv.ColumnHeadersDefaultCellStyle.ForeColor),
+                                            new SolidBrush(SetForeColor),
                                             r1,
                                             format);
                 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.cs	(revision 81)
@@ -35,6 +35,7 @@
 
         #region 定数
 
+        #region チェックレングス
         /// <summary>
         /// 最大登録件数
         /// </summary>
@@ -64,9 +65,11 @@
         /// 50音読み
         /// </summary>
         private const int s_JapaneseSyllabaryLength = 2;
+        #endregion
 
+        #region グリッド表示順番
         /// <summary>
-        /// 表示順番
+        /// グリッド表示順番
         /// </summary>
         private enum DispListColumn
         {
@@ -76,7 +79,13 @@
             CompanyName,
             CEOName
         }
-        private enum Dispcount
+        #endregion
+
+        #region 表示コントロール定義
+        /// <summary>
+        /// 表示コントロール定義
+        /// </summary>
+        private enum DispCtrl
         {
             CompanyCode = 0,
             CorporateStatusName,
@@ -109,6 +118,7 @@
             PaymentNormal,
             PaymentLabour,
         }
+        #endregion
 
         /// <summary>
         /// 法人格固定文字
@@ -155,10 +165,23 @@
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+
+        /// <summary>
+        /// サブフォーム使用フラグ
+        /// </summary>
+        private bool m_SubForm = false;
         #endregion
 
         #region プロパティ
         /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        public bool EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
         /// 会社コード
         /// </summary>
         public int CompanyCode
@@ -175,6 +198,15 @@
             get { return m_EditLock; }
             set { m_EditLock = value; }
         }
+
+        /// <summary>
+        /// サブフォーム使用フラグ
+        /// </summary>
+        public bool SubForm
+        {
+            get { return m_SubForm; }
+            set { m_SubForm = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -228,10 +260,26 @@
         /// <param name="e"></param>
         private void btnEnd_Click(object sender, EventArgs e)
         {
+            if (m_SubForm) m_EndButton = true;
             this.Close();
         }
         #endregion
 
+        #region データ選択ボタン押下
+        /// <summary>
+        /// データ選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            m_bChengeAns = false;
+            m_CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text);
+
+            this.Close();
+        }
+        #endregion
+
         #region 初期フォームロード
         /// <summary>
         /// 初期フォームロード
@@ -271,6 +319,9 @@
                 ExecReadOnly();
             }
 
+            // サブ画面使用時はデータ選択ボタン表示
+            if (m_SubForm) btnSelect.Visible = true;
+
             dgvMaster.Focus();
 
             m_InitFlg = false;
@@ -355,7 +406,7 @@
 
                 List<SubContractorMaster> workList = new List<SubContractorMaster>();
                 // 
-                string strWhere = string.Format(" Where CompanyCode = {0}", m_dispControl[(int)Dispcount.CompanyCode].Text);
+                string strWhere = string.Format(" Where CompanyCode = {0}", m_dispControl[(int)DispCtrl.CompanyCode].Text);
                 // データ読込
                 if (!sbDB.SelectAction(strWhere, ref workList))
                 {
@@ -508,10 +559,10 @@
                 // 新規時
                 string strWhere = string.Empty;
 
-                m_dispControl[(int)Dispcount.CompanyCode].Text = (scDB.SelectMaxCompanyCodeCount(strWhere) + 1).ToString();
+                m_dispControl[(int)DispCtrl.CompanyCode].Text = (scDB.SelectMaxCompanyCodeCount(strWhere) + 1).ToString();
 
                 // 最大登録件数越え
-                if (CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text) > s_MaxCompanyCode)
+                if (CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text) > s_MaxCompanyCode)
                 {
                     MessageBox.Show("最大件数を超えました、これ以上登録できません", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
@@ -518,9 +569,9 @@
                 }
 
                 // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringNew;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
                 // フォーカスセット
-                m_dispControl[(int)Dispcount.CompanyName].Focus();
+                m_dispControl[(int)DispCtrl.CompanyName].Focus();
 
                 // 初期は10行表示する
                 dgvJobItem.Rows.Add(10);
@@ -551,24 +602,24 @@
             {
                 //現在値セット
                 //郵便番号
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.ZipCode].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.ZipCode].Text))
                 {
-                    Fad.ZipCodeArea = m_dispControl[(int)Dispcount.ZipCode].Text;
+                    Fad.ZipCodeArea = m_dispControl[(int)DispCtrl.ZipCode].Text;
                 }
                 //住所１
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address1].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address1].Text))
                 {
-                    Fad.AddressArea1 = m_dispControl[(int)Dispcount.Address1].Text;
+                    Fad.AddressArea1 = m_dispControl[(int)DispCtrl.Address1].Text;
                 }
                 //住所２
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address2].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
                 {
-                    Fad.AddressArea2 = m_dispControl[(int)Dispcount.Address2].Text;
+                    Fad.AddressArea2 = m_dispControl[(int)DispCtrl.Address2].Text;
                 }
                 //住所３
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address3].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address3].Text))
                 {
-                    Fad.AddressArea3 = m_dispControl[(int)Dispcount.Address3].Text;
+                    Fad.AddressArea3 = m_dispControl[(int)DispCtrl.Address3].Text;
                 }
 
                 //Fad.ShowInTaskbar = false;
@@ -579,16 +630,16 @@
                 //検索値取得
                 //郵便番号
                 if (!string.IsNullOrEmpty(Fad.ZipCodeArea))
-                    m_dispControl[(int)Dispcount.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
+                    m_dispControl[(int)DispCtrl.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
                 //住所１
-                m_dispControl[(int)Dispcount.Address1].Text = Fad.AddressArea1;
+                m_dispControl[(int)DispCtrl.Address1].Text = Fad.AddressArea1;
                 //住所２
-                m_dispControl[(int)Dispcount.Address2].Text = Fad.AddressArea2;
+                m_dispControl[(int)DispCtrl.Address2].Text = Fad.AddressArea2;
                 //住所３
-                m_dispControl[(int)Dispcount.Address3].Text = Fad.AddressArea3;
+                m_dispControl[(int)DispCtrl.Address3].Text = Fad.AddressArea3;
 
                 // 次コントロールへ
-                m_dispControl[(int)Dispcount.PhoneNumber].Focus();
+                m_dispControl[(int)DispCtrl.PhoneNumber].Focus();
             }
             catch (Exception ex)
             {
@@ -1052,5 +1103,37 @@
             }
         }
         #endregion
+
+        #region 参照データ表示
+        /// <summary>
+        /// 参照データ表示
+        /// </summary>
+        public void DispReferenceData()
+        {
+            try
+            {
+                if (!m_SubForm) return;
+                if (!m_EditLock) return;
+                if (m_CompanyCode == 0) return;
+
+                // ----- データ表示
+                // クリア
+                ClearDisplay();
+
+                // 更新データ取得
+                DispMentenanceData();
+
+                // モード表示
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;
+
+                // フォーカスセット
+                m_dispControl[(int)DispCtrl.CompanyName].Focus();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
